﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Shapes;
using Telerik.Charting;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.chart.Series.Add(new BarSeries
            {
                CombineMode = ChartSeriesCombineMode.Cluster,
                CategoryBinding = new GenericDataPointBinding<PlotInfo, string>() { ValueSelector = (pi) => pi.Date.ToString("MMM") },
                ValueBinding = new PropertyNameDataPointBinding("Value"),
                ItemsSource = GetTestData(new DateTime(2013, 1, 1)),
                LegendSettings = new SeriesLegendSettings() { Title = "2013 Sales" }
            });

            this.chart.Series.Add(new BarSeries
            {
                CombineMode = ChartSeriesCombineMode.Cluster,
                CategoryBinding = new GenericDataPointBinding<PlotInfo, string>() { ValueSelector = (pi) => pi.Date.ToString("MMM") },
                ValueBinding = new PropertyNameDataPointBinding("Value"),
                ItemsSource = GetTestData(new DateTime(2014, 1, 1)),
                LegendSettings = new SeriesLegendSettings() { Title = "2014 Sales" }
            });
        }

        private static List<PlotInfo> GetTestData(DateTime start)
        {
            var result = new List<PlotInfo>();

            for (var i = start; i < start.AddYears(1); i = i.AddMonths(1))
            {
                result.Add(new PlotInfo() { Date = i, Value = rnd.Next(10, 100) });
            }

            return result;
        }

        private static readonly Random rnd = new Random(123);
    }

    public class PlotInfo
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }
}